Collection

Send tracking data

POST/api/send

Collects a pageview, custom event, visitor identification, or performance payload and returns session information and a tracking cache token when accepted.

Try it

POST/api/send
Response

Send a request to see the response.

Request body

NameTypeDescription
oneOfoneOf
Example request

Responses

200Successful response.
NameTypeDescription
anyOfanyOf
200 example
400Invalid collection payload or session token.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
400 example
403Collection blocked.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
403 example
413Error payload exceeds 48,000 bytes.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
413 example
429Website error collection quota exceeded.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
429 example
500Collection failed. Retry errors with the same occurrence ID.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
500 example

Code samples

cURL